#ifndef __THERMO_H
#define __THERMO_H

#include "Compiler.h"
#include "TCPIP Stack/Delay.h"
#include	"GenericTypeDefs.h"

#define ONE_WIRE_TRIS			  (TRISAbits.TRISA1)
#define ONE_WIRE_IO         (PORTAbits.RA1)

#define OW0_TRIS	(TRISAbits.TRISA1)
#define OW0_IO		(PORTAbits.RA1)

#define OW1_TRIS	(TRISAbits.TRISA2)
#define OW1_IO		(PORTAbits.RA2)

#define OW2_TRIS	(TRISAbits.TRISA3)
#define OW2_IO		(PORTAbits.RA3)

#define OW3_TRIS	(TRISAbits.TRISA5)
#define OW3_IO		(PORTAbits.RA5)


#define DS18_SKIP_ROM       0xCC
#define DS18_CONV_T         0x44
#define DS18_READ_SCRATCH   0xBE
#define DS18_WRITE_SCRATCH  0x4E
#define DS18_COPY_SCRATCH   0x48
#define DS18_2X_MAX_T       125
#define DS18_2X_MIN_T       -55

// HARDCODED VALUES! This is true on 40MHz clock and PIC18
#define delay_us(us)        Delay10TCYx((us) )
#define delay_ms(ms)        Delay1KTCYx( ( (10) * ms ) )

SHORT  	ds1820_read   (int);
void    init_1wire    (int);
void    onewire_reset (int);
void    onewire_write (int, int);
int     onewire_read  (int);


#endif // __THERMO_H
